Public Class OrderData
    Private _orderCategory As String = String.Empty
    Private _account As String = String.Empty
    Private _symbolID As String = String.Empty
    Private _orderType As String = String.Empty
    Private _buySell As String = String.Empty
    Private _priceFlag As String = String.Empty
    Private _price As Double = 0
    Private _qty As Int32 = 0
    Private _marketType As String = String.Empty
    Private _marketAP As String = String.Empty
    Private _dayTrade As String = String.Empty
    Private _userKey As String = String.Empty
    Private _marketNo As String = String.Empty
    Private _commYM As String = String.Empty
    Private _stopPrice As Int32 = 0
    Private _openClose As String = String.Empty
    Private _callPut As String = String.Empty
    Private _strikePrice As Double = 0
    Private _orderno As String = String.Empty
    Private _priceM As Int32 = 0
    Private _symbolID2 As String = String.Empty
    Private _buySell2 As String = String.Empty
    Private _commYM2 As String = String.Empty
    Private _callPut2 As String = String.Empty
    Private _strikePrice2 As Double = 0

    Public Property orderCategory() As String
        Get
            Return _orderCategory
        End Get
        Set(value As String)
            _orderCategory = value
        End Set
    End Property
    Public Property account() As String
        Get
            Return _account
        End Get
        Set(value As String)
            _account = value
        End Set
    End Property
    Public Property symbolID() As String
        Get
            Return _symbolID
        End Get
        Set(value As String)
            _symbolID = value
        End Set
    End Property
    Public Property orderType() As String
        Get
            Return _orderType
        End Get
        Set(value As String)
            _orderType = value
        End Set
    End Property
    Public Property buySell() As String
        Get
            Return _buySell
        End Get
        Set(value As String)
            _buySell = value
        End Set
    End Property
    Public Property priceFlag() As String
        Get
            Return _priceFlag
        End Get
        Set(value As String)
            _priceFlag = value
        End Set
    End Property
    Public Property price() As Double
        Get
            Return _price
        End Get
        Set(value As Double)
            _price = value
        End Set
    End Property
    Public Property qty() As Int32
        Get
            Return _qty
        End Get
        Set(value As Int32)
            _qty = value
        End Set
    End Property
    Public Property marketType() As String
        Get
            Return _marketType
        End Get
        Set(value As String)
            _marketType = value
        End Set
    End Property
    Public Property marketAP() As String
        Get
            Return _marketAP
        End Get
        Set(value As String)
            _marketAP = value
        End Set
    End Property
    Public Property dayTrade() As String
        Get
            Return _dayTrade
        End Get
        Set(value As String)
            _dayTrade = value
        End Set
    End Property
    Public Property userKey() As String
        Get
            Return _userKey
        End Get
        Set(value As String)
            _userKey = value
        End Set
    End Property
    Public Property marketNo() As String
        Get
            Return _marketNo
        End Get
        Set(value As String)
            _marketNo = value
        End Set
    End Property
    Public Property commYM() As String
        Get
            Return _commYM
        End Get
        Set(value As String)
            _commYM = value
        End Set
    End Property
    Public Property stopPrice() As Int32
        Get
            Return _stopPrice
        End Get
        Set(value As Int32)
            _stopPrice = value
        End Set
    End Property
    Public Property openClose() As String
        Get
            Return _openClose
        End Get
        Set(value As String)
            _openClose = value
        End Set
    End Property
    Public Property callPut() As String
        Get
            Return _callPut
        End Get
        Set(value As String)
            _callPut = value
        End Set
    End Property
    Public Property strikePrice() As Double
        Get
            Return _strikePrice
        End Get
        Set(value As Double)
            _strikePrice = value
        End Set
    End Property
    Public Property orderno() As String
        Get
            Return _orderno
        End Get
        Set(value As String)
            _orderno = value
        End Set
    End Property
    Public Property priceM() As Int32
        Get
            Return _priceM
        End Get
        Set(value As Int32)
            _priceM = value
        End Set
    End Property
    Public Property symbolID2() As String
        Get
            Return _symbolID2
        End Get
        Set(value As String)
            _symbolID2 = value
        End Set
    End Property
    Public Property buySell2() As String
        Get
            Return _buySell2
        End Get
        Set(value As String)
            _buySell2 = value
        End Set
    End Property
    Public Property commYM2() As String
        Get
            Return _commYM2
        End Get
        Set(value As String)
            _commYM2 = value
        End Set
    End Property
    Public Property callPut2() As String
        Get
            Return _callPut2
        End Get
        Set(value As String)
            _callPut2 = value
        End Set
    End Property
    Public Property strikePrice2() As Double
        Get
            Return _strikePrice2
        End Get
        Set(value As Double)
            _strikePrice2 = value
        End Set
    End Property
End Class
